import request from '/@/utils/request';
/* 
    示例：
  @baseURL
*/
export function useMenuApi() {
  return {
    downloadFile: (params?: object) => { //下载文件
      return request({
        responseType: "blob",
        url: "xxxx",
        method: "get",
        params,
        baseURL:import.meta.env.VITE_API_URL // 请求地址  可以在不同url中修改
      });
    },
    deleteToken: (params?: object) => { // 清除请求头 token
      return request({
        transformRequest: [
          (data: any, headers: any) => {
            delete headers.Authorization;
            return data;
          },
        ],
        headers: { "Content-Type": "application/x-www-form-urlencoded" },
        url: `xxxx/${params}`,
        method: "get",
      });
    },
  };
}
