/*
 * @Author: zc
 * @Description: 登录
 * @version: 
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-10-24 16:51:52
 */
import request from '/@/utils/request';

/**
 * 用户登录
 * @param data 要传的参数值
 * @returns 返回接口数据
 * 登录api接口集合
 * @method signIn 用户登录
 * @method signOut 用户退出登录
 */
// @ts-ignore
import qs from 'qs';
export function signIn(data?: object) {
	return request({
		url: '/connect/token',
		method: 'post',
		data: qs.stringify(data),
		baseURL:import.meta.env.VITE_API_URL_IDENTITY, // 请求地址修改为身份认证地址
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		}
	});
}
export function signOut(params: object){
	return request({
		url: '/user/signOut',
		method: 'post',
		data: params,
		baseURL:import.meta.env.VITE_API_URL // 请求地址  可以在不同url中修改
	});
}
